Redmine - Patch #1546

Associated revisions are displayed in wrong order for Git, Mercurial (SHA-1 DVCSs)
2008-06-29 02:50 - Daniel Luz
Description

Associated revisions are currently sorted by revision name, in ascending order. (source:trunk/app/models/issue.rb@1594#L31)
However, certain SCMs don't use sequential numeric values (for instance: Git, Mercurial and Monotone use SHA-1 hashes), and the
commits appear possibly in the wrong order for them.

This trivial patch tries to order first by the committed_on field, leaving the revision as a secondary sorting column.

Associated revisions

Revision 1596 - 2008-06-29 10:55 - Jean-Philippe Lang

Fixed: associated revisions are displayed in wrong order on issue view (#1546).

Revision 2519 - 2009-02-22 16:16 - Jean-Philippe Lang

Sort changesets in the same order as comments on the issue details view (#1546).

History

#1 - 2008-06-29 10:57 - Jean-Philippe Lang
- Status changed from New to Closed

- Target version set to 0.8

You're right. This sort order wasn't updated when the revision field was changed from numeric to string.
Fixed in r1596.

has_and_belongs_to_many :changesets, :order => "#{Changeset.table_name}.committed_on ASC, #{Changeset.table_na
me}.id ASC"

#2 - 2009-02-22 12:57 - Ken Sands

- Status changed from Closed to Reopened

has_and_belongs_to_many :changesets, :order => "#{Changeset.table_name}.committed_on ASC, #{Changeset.table_name}.id ASC"

can | suggest this would be nicer (or at least optional) to be DESC rather than ASC so the latest revision is the topmost, as per activity and most other
lists throughout the interface? that's how I've set it in mine.

#3 - 2009-02-22 16:16 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Changed in r2519. Changsets are now sorted in the same order as the comments (which is based on a user preference).
